## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/exchange-partners

### cURL

```
GET https://api.dwolla.com/exchange-partners
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY

...
{
    "_links": {
        "self": {
            "href": "https://api.dwolla.com/exchange-partners",
            "type": "application/vnd.dwolla.v1.hal+json",
            "resource-type": "exchange-partner"
        }
    },
    "_embedded": {
        "exchange-partners": [
            {
                "_links": {
                    "self": {
                        "href": "https://api-sandbox.dwolla.com/exchange-partners/9b55a4b3-34ae-4607-b2d1-622f1eed77f9",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "exchange-partner"
                    }
                },
                "id": "9b55a4b3-34ae-4607-b2d1-622f1eed77f9",
                "name": "Finicity",
                "status": "active"
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api-sandbox.dwolla.com/exchange-partners/292317ec-e252-47d8-93c3-2d128e037aa4",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "exchange-partner"
                    }
                },
                "id": "292317ec-e252-47d8-93c3-2d128e037aa4",
                "name": "MX",
                "status": "active"
            }
        ]
    },
    "total": 2
}
```

```js
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
token.get("exchange-partners").then((res) => res.body._embedded["exchange-partners"][0].id); // => '9b55a4b3-34ae-4607-b2d1-622f1eed77f9'
```

```python
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
exchange_partners = app_token.get('exchange-partners')
exchange_partners.body['_embedded']['exchange-partners'][0]['id'] # => '9b55a4b3-34ae-4607-b2d1-622f1eed77f9'
```

```php
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$exchangePartnersApi = new ExchangePartnersApi($apiClient);

$exchangePartners = $exchangePartnersApi->getExchangePartners();
$exchangePartners->_embedded->{"exchange-partners"}[0]->id; # => "9b55a4b3-34ae-4607-b2d1-622f1eed77f9"
?>
```

```ruby
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
exchange_partners = app_token.get "exchange-partners"
exchange_partners._embedded['exchange-partners'][0].id # => "9b55a4b3-34ae-4607-b2d1-622f1eed77f9"
```

### Response Codes

- 200

```json
{
  "_links": {},
  "_embedded": {
    "exchange-partners": [
      {
        "_links": {},
        "id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
        "name": "Plaid",
        "status": "active",
        "created": "2022-07-23T00:18:21.419Z"
      }
    ]
  },
  "total": 3
}
```

```json
{
  "code": "Forbidden",
  "message": "The supplied credentials are not authorized for this resource."
}
```

#### Authorizations

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

Accept

enum<string>

default:application/vnd.dwolla.v1.hal+json

required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

`application/vnd.dwolla.v1.hal+json`

#### Response Structure

**Response 200**

- application/vnd.dwolla.v1.hal+json

successful operation

- `_links`

object

- `_embedded`

object

- `total`

integer<int32>

Example:

`3`
